//此乃本模块与后台交互的方法接口部分
var jwAppUnitModel = function(format) {
	this.module = "";
	this.action = "";
	this.format = format;
};

//定义数据交互
jwAppUnitModel.prototype = BusinessObject;

//插入单位数据
jwAppUnitModel.prototype.insertUnit = function(){};
//修改单位数据
jwAppUnitModel.prototype.updateUnit = function(){};
//删除单位数据
jwAppUnitModel.prototype.deleteUnit = function(){};
//保存详细数据查看日志
jwAppUnitModel.prototype.viewUnitLog = function(){};
jwAppUnitModel.prototype.insertOrUpdateLdap = function(){};
//单位数据_分页
jwAppUnitModel.prototype.list = function(){};
//单位所有数据
jwAppUnitModel.prototype.listAll = function(){};
//管理员可以管的单位所有数据
jwAppUnitModel.prototype.listMyAll = function(){};
//管理员可以管的单位所有数据_分页
jwAppUnitModel.prototype.listMy = function(){};
//单位树
jwAppUnitModel.prototype.listUnitTree = function(){};
//单位树
jwAppUnitModel.prototype.listMyUnitTree = function(){};
//获取最大排序
jwAppUnitModel.prototype.listMaxOrder = function(){};
//初始化排序号
jwAppUnitModel.prototype.updateUnitInitOrder = function(){};
//更换单位排序号
jwAppUnitModel.prototype.updateUnitSetOrder = function(){};
//清除ldap
jwAppUnitModel.prototype.deleteLdap = function(){};
//ldap批量同步
jwAppUnitModel.prototype.addRowLdap = function(){};
//ldap单个删除
jwAppUnitModel.prototype.deleteLdapUnit = function(){};
//批量推送
jwAppUnitModel.prototype.pushUnitRow = function(){};
//模板下载
jwAppUnitModel.prototype.download = function(){};
//模板导入
jwAppUnitModel.prototype.ImpUnit = function(){};
//单位推送
jwAppUnitModel.prototype.pushUnitO = function(){};
//对照表下载
jwAppUnitModel.prototype.downloadDz = function(){};
jwAppUnitModel.prototype.listALLUnit = function(){};
//更新组织树父节点
jwAppUnitModel.prototype.updateParentId = function(){};

//创建一个数据操作对象，然后再后续使用
jwAppUnitModel.jwAppsUnitActAction = new jwAppUnitModel("json").delegate("jwAppsUnitAct");
//创建一个数据获取对象，然后再后续使用
jwAppUnitModel.jwAppsUnitDataAction = new jwAppUnitModel("json").delegate("jwAppsUnitData");

//说明： 1、所有方法里统一传递josn格式的参数，用于后台交互，如data.listTables(param) ，如没有参数则传'{}'，如data.listTables({})
//      2、前后台数据获取传输协议  如：json[{'0':{pageCount':'2','pageNo':'1','pageSize':'20','rowSet':'[{0},{1}....]'}}] 
//      3、前后台增删改的返回状态  如：json[{'0':{'rowSet':{'NAME':'-1','VALUE':'保存失败'}}}]
